Package org.apache.aries.transaction

## Class TransactionalAnnotationAttributes

- java.lang.Object
- - org.apache.aries.transaction.TransactionalAnnotationAttributes

    public class TransactionalAnnotationAttributes
    extends java.lang.Object

### Constructor Summary

Constructors
`TransactionalAnnotationAttributes​(javax.transaction.Transactional.TxType defaultType)`
`TransactionalAnnotationAttributes​(javax.transaction.Transactional.TxType txType, java.lang.Class[] dontRollbackOn, java.lang.Class[] rollbackOn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Class>` `getDontRollbackOn()`
`java.util.List<java.lang.Class>` `getRollbackOn()`
`javax.transaction.Transactional.TxType` `getTxType()`
`void` `setDontRollbackOn​(java.util.List<java.lang.Class> dontRollbackOn)`
`void` `setRollbackOn​(java.util.List<java.lang.Class> rollbackOn)`
`void` `setTxType​(javax.transaction.Transactional.TxType txType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionalAnnotationAttributes

    public TransactionalAnnotationAttributes​(javax.transaction.Transactional.TxType defaultType)

#### TransactionalAnnotationAttributes

    public TransactionalAnnotationAttributes​(javax.transaction.Transactional.TxType txType,
                                             java.lang.Class[] dontRollbackOn,
                                             java.lang.Class[] rollbackOn)

### Method Detail

#### getTxType

    public javax.transaction.Transactional.TxType getTxType()

#### setTxType

    public void setTxType​(javax.transaction.Transactional.TxType txType)

#### getRollbackOn

    public java.util.List<java.lang.Class> getRollbackOn()

#### setRollbackOn

    public void setRollbackOn​(java.util.List<java.lang.Class> rollbackOn)

#### getDontRollbackOn

    public java.util.List<java.lang.Class> getDontRollbackOn()

#### setDontRollbackOn

    public void setDontRollbackOn​(java.util.List<java.lang.Class> dontRollbackOn)